Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2132567 - coq's doc is published under a non-free license
Summary: coq's doc is published under a non-free license
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Dunn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-06 07:44 UTC by Karolina Surma
Modified: 2022-11-10 22:12 UTC (History)
2 users (show)

Fixed In Version: coq-8.15.2-2.fc36 coq-8.13.2-4.fc35 coq-8.16.0-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-15 21:19:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2022-10-06 07:44:24 UTC
Problem:

During investigating traditional coq/Sphinx build issues (preparing Sphinx 5.2.3 to Fedora) I came across an issue where it was stated that coq's docs are not allowed for Debian. That got me curious and here's what I found out:

- coq's documentation is published under OPUBL-1.0 (https://github.com/coq/coq/blob/master/doc/LICENSE) 
- it is considered not allowed for Fedora (see: https://docs.fedoraproject.org/en-US/legal/not-allowed-licenses/)


Solution:

Parts under the non-free license should not be shipped with the package

Comment 1 Jerry James 2022-10-06 17:19:39 UTC
Good catch, thanks!  Upstream has been aware of this issue for a few years now: https://github.com/coq/coq/issues/8774.  I will remove the manual until such time as that issue is resolved.

Comment 2 Fedora Update System 2022-10-07 00:56:48 UTC
FEDORA-2022-9480f8869d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9480f8869d

Comment 3 Fedora Update System 2022-10-07 00:56:50 UTC
FEDORA-2022-2edb96ee43 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2edb96ee43

Comment 4 Fedora Update System 2022-10-07 11:44:37 UTC
FEDORA-2022-593ebb986d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-593ebb986d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-593ebb986d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-10-07 16:00:13 UTC
FEDORA-2022-9480f8869d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9480f8869d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9480f8869d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-10-07 16:02:18 UTC
FEDORA-2022-2edb96ee43 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-2edb96ee43`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-2edb96ee43

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-15 21:19:03 UTC
FEDORA-2022-9480f8869d has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-10-15 21:26:41 UTC
FEDORA-2022-2edb96ee43 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-11-10 22:12:34 UTC
FEDORA-2022-593ebb986d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.